<template></template>

<script>
    export default {

        props: {
            model: {
                type: String,
                required: true,
            },

            modelId: {
                type: Number,
                required: true,
            },

            fieldname: {
                type: String,
                required: true,
            },

            oldValue: {
                default: null,
            },

            newValue: {
                default: null,
            },

            disabled: {
                type: Boolean,
                default: false,
            },

            changing: {
                type: Boolean,
                default: false,
            }
        },

        methods: {
            changeValue() {
                axios.post('/api/v1/broject/databasefieldchanger/change', {
                    model: this.model,
                    modelId: this.modelId,
                    fieldname: this.fieldname,
                    value: this.newValue,
                })
                    .then(response => {
                        this.result = response.data;
                        this.$emit('changed', this.result);
                    })
                    .catch(e => {
                        console.log(e);
                    });
            }
        },

        watch: {
            changing: function (boolean) {
                if (boolean && !this.disabled) {
                    this.changeValue();
                }
            }  
        }

    }
</script>
